# Interface ObservableDataSourceMetadata<Data>

interface ObservableDataSourceMetadata<Data> {
data?: Observable<Data>;
id: string;
restore?: boolean;
}

#### Type Parameters

- Data

#### Hierarchy (view full)

- BaseDataSourceMetadata
  - ObservableDataSourceMetadata

- Defined in packages/angular/data-source/src/lib/observable.data-source.ts:18

#####
Index

### Properties

data?
id
restore?

## Properties

### `Optional` data

data?: Observable<Data>

- Defined in packages/angular/data-source/src/lib/observable.data-source.ts:19

### id

id: string

Inherited from BaseDataSourceMetadata.id

- Defined in packages/angular/definition/src/lib/definition.metadata.ts:9

### `Optional` restore

restore?: boolean

Indicates weather the data source should restore the last value from local storage

Inherited from BaseDataSourceMetadata.restore

- Defined in packages/angular/data-source/src/lib/base.data-source.ts:58